KDE 4.9 PyKDE API Reference

- KDE's Python API

# KPageWidgetItem Class Reference

`from PyKDE4.kdeui import *`

Inherits: QObject

## Detailed Description

KPageWidgetItem is used by KPageWidget and represents a page.

Example:\n

      ColorPage *page = new ColorPage;

      KPageWidgetItem *item = new KPageWidgetItem( page, i18n( "Colors" ) );
      item->setHeader( i18n( "Colors of Main Window" ) );
      item->setIcon( KIcon( "colors" ) );

      KPageWidget *pageWidget = new KPageWidget( this );
      pageWidget->addPage( item );

Author:
  Tobias Koenig (tokoe@kde.org)

## Signals

| changed ()
| toggled (bool checked)

## Methods

| __init__ (self, QWidget widget)
| __init__ (self, QWidget widget, QString name)
QString | header (self)
KIcon | icon (self)
bool | isCheckable (self)
bool | isChecked (self)
bool | isEnabled (self)
QString | name (self)
| setCheckable (self, bool checkable)
| setChecked (self, bool checked)
| setEnabled (self, bool a0)
| setHeader (self, QString header)
| setIcon (self, KIcon icon)
| setName (self, QString name)
QWidget | widget (self)

## Signal Documentation

changed | ( |  | ) |

This signal is emitted whenever the icon or header is changed.

Signal syntax:
  `QObject.connect(source, SIGNAL("changed()"), target_slot)`

toggled | ( | bool | checked
| ) |  |  |

This signal is emitted whenever the user checks or unchecks the item of

See also:
  setChecked() is called.

Signal syntax:
  `QObject.connect(source, SIGNAL("toggled(bool)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QWidget | widget
| ) |  |  |

Creates a new page widget item.

Parameters:

  | widget | The widget that is shown as page in the KPageWidget.

__init__ | ( | self, |
|  | QWidget | widget,
|  | QString | name
| ) |  |  |

Creates a new page widget item.

Parameters:

  | widget | The widget that is shown as page in the KPageWidget.
  | name | The localized string that is show in the navigation view of the KPageWidget.

QString header | ( |  | self ) |

Returns the header of the page widget item.

KIcon icon | ( |  | self ) |

Returns the icon of the page widget item.

bool isCheckable | ( |  | self ) |

Returns whether the page widget item is checkable.

bool isChecked | ( |  | self ) |

Returns whether the page widget item is checked.

bool isEnabled | ( |  | self ) |

Returns whether the page widget item is enabled.

QString name | ( |  | self ) |

Returns the name of the page widget item.

setCheckable | ( | self, |
|  | bool | checkable
| ) |  |  |

Sets whether the page widget item is checkable in the view.

Parameters:

  | checkable | True if the page widget is checkable, otherwise false.

setChecked | ( | self, |
|  | bool | checked
| ) |  |  |

Sets whether the page widget item is checked.

setEnabled | ( | self, |
|  | bool | a0
| ) |  |  |

Sets whether the page widget item is enabled.

setHeader | ( | self, |
|  | QString | header
| ) |  |  |

Sets the header of the page widget item.

If setHeader(QString()) is used, what is the default if the header does not got set explicit, then the defined name() will also be used for the header. If setHeader("") is used, the header will be hidden even if the KPageView.FaceType is something else then Tabbed.

Parameters:

  | header | Header of the page widget item.

setIcon | ( | self, |
|  | KIcon | icon
| ) |  |  |

Sets the icon of the page widget item.

Parameters:

  | icon | Icon of the page widget item.

setName | ( | self, |
|  | QString | name
| ) |  |  |

Sets the name of the item as shown in the navigation view of the page widget.

QWidget widget | ( |  | self ) |

Returns the widget of the page widget item.